#!/bin/sh

if [ ! -f /data/data.sqlite3 ]; then
	echo "Creating new Database!"
	sqlite3 /data/data.sqlite3 < /schema.sql
	sqlite3 /data/data.sqlite3 "INSERT INTO configuration (rev, server, port, component_name, shared_secret, upload_component_name) VALUES (1, \"$SERVER\", \"$PORT\", \"$COMPONENT_NAME\", \"$SECRET\", \"$UPLOAD_NAME\"); " ".exit"

fi

if [ ! -z $MAM ]; then
	sqlite3 /data/data.sqlite3 "UPDATE configuration SET allow_archiving = true;" ".exit"
fi
if [ ! -z $HISTORY ]; then
	sqlite3 /data/data.sqlite3 "UPDATE configuration SET allow_history_fetches = true;" ".exit"
fi

/whatsxmpp /data/data.sqlite3
